HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostLinkedAccountsAccountDisconnect

Contains the different functions to run the operation postLinkedAccountsAccountDisconnect

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostLinkedAccountsAccountDisconnect.hs
valuepostLinkedAccountsAccountDisconnect
  1. :: MonadHTTP m
  2. => Text

    account | Constraints: Maximum length of 5000

  3. -> Maybe PostLinkedAccountsAccountDisconnectRequestBody

    The request body to send

  4. -> ClientT m (Response PostLinkedAccountsAccountDisconnectResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/linked_accounts/{account}/disconnect

<p>Disables your access to a Financial Connections <code>Account</code>. You will no longer be able to access data associated with the account (e.g. balances, transactions).</p>

Defines the object schema located at paths./v1/linked_accounts/{account}/disconnect.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postLinkedAccountsAccountDisconnect.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostLinkedAccountsAccountDisconnectResponseError is used.

Instances2Eq, Show